.quiz-block-wrapper.edit {
  border: 2px dashed #000;
  padding: 20px;
}

.quiz-block__form {
  max-width: 560px;
  width: 100%;
}

.quiz-block-wrapper.edit .quiz-block__form-name,
.quiz-block-wrapper.edit .quiz-block__name {
  color: #fff !important;
}

.quiz-block__name span {
  color: #cee7ff;
}

.quiz-block__step {
  padding: 30px 20px;
  background: -webkit-linear-gradient(
    359deg,
    #0c1923 7.27%,
    #15466f 47.45%,
    #15466f 94.26%
  );
  background: -o-linear-gradient(
    359deg,
    #0c1923 7.27%,
    #15466f 47.45%,
    #15466f 94.26%
  );
  background: linear-gradient(
    91deg,
    #0c1923 7.27%,
    #15466f 47.45%,
    #15466f 94.26%
  );
}
.quiz-block__step:not(.active) {
  display: none !important;
}
@media (min-width: 960px) {
  .quiz-block__step {
    padding: 60px 100px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }
}
.quiz-block__step__form {
  width: 100%;
}

.quiz-block__step--first .quiz-block__text {
  max-width: 100%;
  width: 100%;
  margin-bottom: 16px;
}

@media (min-width: 960px) {
  .quiz-block__step--first .quiz-block__text {
    width: calc(50% - 30px);
    max-width: 360px;
    margin-bottom: 0;
  }
}

.quiz-block__step--first .quiz-block__form {
  max-width: 460px;
  width: 100%;
}
@media (min-width: 960px) {
  .quiz-block__step:not(.quiz-block__step--first) .quiz-block__radio {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
  }
  .quiz-block__step:not(.quiz-block__step--first)
    .quiz-block__radio
    .quiz-block__radio-item {
    -webkit-box-flex: 1;
    -ms-flex: 1 0 calc(33.3333333333% - 20px);
    flex: 1 0 calc(33.3333333333% - 20px);
    max-width: calc(33.3333333333% - 20px);
  }
}
.quiz-block__radio-item {
  padding-left: 35px;
  position: relative;
  min-height: 24px;
  cursor: pointer;
  color: #b7bcbf;
  margin-bottom: 10px;
}
.quiz-block__radio-item:last-child {
  margin-bottom: 0;
}
.quiz-block__radio-item::before {
  content: "";
  position: absolute;
  left: 0;
  top: 2px;
  width: 20px;
  height: 20px;
  border: 1px solid #fff;
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
  -webkit-border-radius: 50%;
  border-radius: 50%;
}

body.rtl .quiz-block__radio-item {
  padding-left: 0;
  padding-right: 35px;
}

body.rtl .quiz-block__radio-item::before {
  right: 0;
  left: auto;
}

.quiz-block__radio-item.active::before {
  background: #fff;
}
.quiz-block__count,
.quiz-block__form-name {
  margin-bottom: 15px;
}
@media (min-width: 960px) {
  .quiz-block__count,
  .quiz-block__form-name {
    margin-bottom: 30px;
  }
}
.quiz-block__buttons {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 20px;
  margin-top: 30px;
}
@media (min-width: 960px) {
  .quiz-block__buttons {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }
}
.quiz-block__buttons .button:not(.button--secondary) {
  border: 1px solid #fff;
}
@media (min-width: 960px) {
  .quiz-block__step--image {
    min-height: 360px;
    background-image: url("/wp-content/themes/vita/images/quiz.svg"),
      -webkit-linear-gradient(359deg, #0c1923 7.27%, #15466f 47.45%, #15466f
            94.26%);
    background-image: url("/wp-content/themes/vita/images/quiz.svg"),
      -o-linear-gradient(359deg, #0c1923 7.27%, #15466f 47.45%, #15466f 94.26%);
    background-image: url("/wp-content/themes/vita/images/quiz.svg"),
      linear-gradient(91deg, #0c1923 7.27%, #15466f 47.45%, #15466f 94.26%);
    background-position: right 85px center, center;
    background-repeat: no-repeat, repeat;
  }
  .quiz-block__step--image .quiz-block__radio-item {
    -webkit-box-flex: 1 !important;
    -ms-flex: 1 0 calc(50% - 30px) !important;
    flex: 1 0 calc(50% - 30px) !important;
    max-width: calc(50% - 30px) !important;
  }

  body.rtl .quiz-block__step--image {
    background-image: url("/wp-content/themes/vita/images/quiz.svg"),
      -webkit-linear-gradient(359deg, #15466f 7.27%, #15466f 47.45%, #0c1923
            94.26%);
    background-image: url("/wp-content/themes/vita/images/quiz.svg"),
      -o-linear-gradient(359deg, #15466f 7.27%, #15466f 47.45%, #0c1923 94.26%);
    background-image: url("/wp-content/themes/vita/images/quiz.svg"),
      linear-gradient(91deg, #15466f 7.27%, #15466f 47.45%, #0c1923 94.26%);
    background-position: left 85px center, center;
    background-repeat: no-repeat, repeat;
  }
}
.quiz-block__step--final textarea {
  display: none !important;
}

.quiz-block__step--final .quiz-block__form-name {
  margin-bottom: 15px;
}

.quiz-block__form textarea,
.quiz-block__form input {
  width: 100%;
  max-width: 360px;
  border: none;
  border-bottom: 1px solid #fff;
  background: none;
  color: #fff;
  height: 34px;
  margin-bottom: 30px;
  resize: vertical;
}

.quiz-block__form textarea {
  height: 68px;
  min-height: 68px;
  max-height: 136px;
}

.quiz-block__form textarea::-webkit-input-placeholder,
  .quiz-block__form input::-webkit-input-placeholder {
  color: rgba(148, 153, 156, 0.3);
}
.quiz-block__form textarea::-moz-placeholder,
  .quiz-block__form input::-moz-placeholder {
  color: rgba(148, 153, 156, 0.3);
}
.quiz-block__form textarea::-ms-input-placeholder,
  .quiz-block__form input::-ms-input-placeholder {
  color: rgba(148, 153, 156, 0.3);
}
.quiz-block__form textarea::placeholder,
  .quiz-block__form input::placeholder {
  color: rgba(148, 153, 156, 0.3);
}
.quiz-block__form textarea.wpcf7-not-valid,
  .quiz-block__form input.wpcf7-not-valid {
  border-color: red;
}
.quiz-block__form textarea.wpcf7-not-valid::-webkit-input-placeholder,
  .quiz-block__form input.wpcf7-not-valid::-webkit-input-placeholder {
  color: red;
}
.quiz-block__form textarea.wpcf7-not-valid::-moz-placeholder,
  .quiz-block__form input.wpcf7-not-valid::-moz-placeholder {
  color: red;
}
.quiz-block__form textarea.wpcf7-not-valid::-ms-input-placeholder,
  .quiz-block__form input.wpcf7-not-valid::-ms-input-placeholder {
  color: red;
}
.quiz-block__form textarea.wpcf7-not-valid::placeholder,
  .quiz-block__form input.wpcf7-not-valid::placeholder {
  color: red;
}
@media (min-width: 960px) {
  .quiz-block--2 .quiz-block__step--first .quiz-block__radio {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
  }
  .quiz-block--2 .quiz-block__step--first .quiz-block__radio-item {
    -webkit-box-flex: 1;
    -ms-flex: 1 0 calc(50% - 20px);
    flex: 1 0 calc(50% - 20px);
    max-width: calc(50% - 20px);
  }
}

.quiz-block__radio.quiz-block__radio--column {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}
.quiz-block__radio.quiz-block__radio--column .quiz-block__radio-item {
  -webkit-box-flex: 1 !important;
  -ms-flex: 1 0 100% !important;
  flex: 1 0 100% !important;
  max-width: 100% !important;
}

.quiz-block__radio + .wpcf7-form-control-wrap {
  display: block;
  margin-top: 24px;
}